import 'dart:convert';

import 'package:http/http.dart' as http;

import 'getHolidaysResponse.dart';

class GetHolidays {
  Future<GetHolidaysResponse> query() async {
    String response = (await http.get(Uri.parse("https://ferien-api.de/api/v1/holidays/HE"))).body;
    List<dynamic> parsedListJson = jsonDecode(response);
    return GetHolidaysResponse(List<GetHolidaysResponseObject>.from(parsedListJson.map<GetHolidaysResponseObject>((dynamic i) => GetHolidaysResponseObject.fromJson(i))));
  }
}